### Method

# GimpUi ColorButton get_color

#### Declaration [src]

    GeglColor*
    gimp_color_button_get_color (
      GimpColorButton* button
    )

#### Description [src]

Retrieves the currently set color from the `button`.

Gets property | `GimpUi.ColorButton:color`

#### Return value

Type: `GeglColor`

A copy of `button`‘s `GeglColor`.

The caller of the method takes ownership of the data, and is responsible for freeing it.